## org.exist.ant
Class UserTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.UserTask

Direct Known Subclasses:
  AddUserTask, ChmodTask, ChownTask, ListGroupsTask, ListUsersTask, LockResourceTask, RemoveUserTask

public abstract class UserTask
extends AbstractXMLDBTask

abstract base class for all user-related tasks

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`UserTask()`

Method Summary
`void` `execute()`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserTask

    public UserTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Copyright (C) Wolfgang Meier. All rights reserved.